# mtcp_destroy

NAME
SYNOPSIS
DESCRIPTION
RETURN VALUE
NOTES
AUTHORS
SEE ALSO
COLOPHON

## NAME

mtcp_destroy − clean up the mTCP stack.

## SYNOPSIS

#include <mtcp_api.h>

void mtcp_destroy();

## DESCRIPTION

mtcp_destroy() call is used to clean up the networking stack for the mTCP application. This is usually the last call the application makes before terminating.

## RETURN VALUE

Nothing is returned.

## NOTES

This function only needs to be called once in an mTCP application.

## AUTHORS

mTCP development team <mtcp-user@list.ndsl.kaist.edu>

## SEE ALSO

mtcp_init()

## COLOPHON

This page is part of mTCP release 3.0 docs section. A description of the project, and information about reporting bugs, can be found at http://shader.kaist.edu/mtcp/.